<div *ngIf="this.dataService.createFormEnabled" style="margin-top: 50px;">
    <h3 style="display: inline; ">Create</h3>

        <i class="fa fa-star-o fa-2x float-right" (click)="statusfav()"  *ngIf="fav" aria-hidden="true" style="display: inline; "></i>
        <i class="fa fa-star fa-2x float-right text-warning" (click)="statusfav()" *ngIf="!fav" aria-hidden="true" style="display: inline; "></i>

        <form action="" (ngSubmit)="formData(ref);ref.reset()" #ref=ngForm>
            <div>
                <table class="table table-borderless table-responsive-sm">
                    <tr>
                        <td style="padding-left: 70px;">
                            <input type="text" name="firstName" minlength="4"  placeholder="FirstName" class="form-control form-control-sm" required ngModel #firstName=ngModel>
                            <span *ngIf="firstName.invalid && (firstName.dirty || firstName.touched)" class="alert">
                                <span *ngIf="firstName.errors.required" class="text-danger">*FirstName is required</span>
                                <span *ngIf="firstName.errors.minlength" class="text-danger">*Min 4 characters requied</span>
                            </span>
                            
                        </td>
                        <td>
                            <input type="text" name="lastName" placeholder="LastName" class="form-control form-control-sm" required ngModel #lastName=ngModel>
                            <span *ngIf="lastName.touched && lastName.invalid" class="alert">
                                <span *ngIf="lastName.errors.required" class="text-danger">* LastName is required</span>
                            </span>
                        </td>
                    </tr>
                    <tr>
                        <td style="padding-left: 70px;">
                            <b>Gender</b>
                        </td>
                        <td>
                            <b>Martial Status</b>
                        </td>
                    </tr>
                    <tr>
                        <td style="padding-left: 70px;">
                            <input type="radio" name="gender" value="male" id="a" ngModel required #gender=ngModel>
                            <label for="a" class="ml-1">Male</label>
                            <input type="radio" name="gender" value="female" id="b" class="ml-2" required ngModel #gender=ngModel>
                            <label for="b" class="ml-1">FeMale</label>
                            <span *ngIf="gender.invalid && ref.submitted">
                                <span *ngIf="gender.errors.required">Hello</span>
                            </span>
                        </td>
                        <td>
                            <input type="radio" value="married" name="martialStatus" id="c" ngModel>
                            <label for="c" class="ml-1">Married</label>
                            <input type="radio" value="unmarried" name="martialStatus" id="d" ngModel class="ml-2">
                            <label for="d" class="ml-1">UnMarried</label>
                        </td>
                    </tr>
                    <tr >
                        <td style="padding-left: 70px;">
                            <select name="mobileorphone1" class="form-control form-control-sm" ngModel >
                                <option value="mobile" selected>Mobile</option>
                                <option value="phone">Phone</option>
                            </select>
                        </td>
                        <td>
                            <input type="tel" name="pnumber1" required minlength="10" maxlength="10" #pnumber1=ngModel class="form-control form-control-sm" ngModel>
                            <span *ngIf="pnumber1.invalid && (pnumber1.dirty  || pnumber1.touched)">
                                <span *ngIf="pnumber1.errors.required" class="text-danger">*Phone Number is required</span>
                                <span *ngIf="pnumber1.errors.minlength" class="text-danger">*phone number length must be 10</span>
                                <!-- <span *ngIf="pnumber2.errors.maxlength" class="text-danger">*phone number legnth not more than 10</span> -->
                            </span>
                        </td>
                        <i class="fa fa-plus fa-2x mt-2 text-success" (click)="addPhoneNumber()" style="cursor: pointer;" aria-hidden="true"></i>
                    </tr>
                    

                    <tr *ngFor="let number of phoneNumbers;let i=index" >
                        <td style="padding-left: 70px;">
                            <select name="mobileorphone{{i+2}}" class="form-control form-control-sm" ngModel>
                                <option value="mobile" selected>Mobile</option>
                                <option value="phone">Phone</option>
                            </select>
                        </td>
                        <td  >
                            <input type="tel" name="pnumber{{i+2}}"  id="" [(ngModel)]="number.pnumber2" required minlength="10" maxlength="10" #pnumber2=ngModel class="form-control form-control-sm" ngModel>
                            <span *ngIf="pnumber2.invalid && (pnumber2.dirty  || pnumber2.touched)">
                                <span *ngIf="pnumber2.errors.required" class="text-danger">*Phone Number is required</span>
                                <span *ngIf="pnumber2.errors.minlength" class="text-danger">*phone number length must be 10</span>
                                <!-- <span *ngIf="pnumber2.errors.maxlength" class="text-danger">*phone number legnth not more than 10</span> -->
                            </span>  
                        </td>
                        <i class="fa fa-minus fa-2x mt-2 text-danger" (click)="removePhoneNumber(i)" style="cursor: pointer;" aria-hidden="true"></i>
                        
                    </tr>
                </table>
            </div>

            <button type="submit"  class="btn btn-primary float-right btn-sm">Create</button>
        </form>
        <!-- <button class="btn" >
            
        </button>
        <button class="btn" >
            
        </button> -->
</div>




